Developers
API referenceReferenceContacts

Contact - Update

Update one contact by ID.

PATCH
/v1/business/{business_slug}/contacts/{contact_id}/

Path Parameters

business_slug*string

Business slug that scopes this request. If you do not have one yet, call common_accessible_businesses_list and pick a slug from the response.

contact_id*integer

Identifier of the target contact. If the ID is not known, use the corresponding list endpoint with relevant filters and/or the search parameter to discover valid IDs.

Request Body

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PATCH "https://example.com/v1/business/string/contacts/0/" \  -H "Content-Type: application/json" \  -d '{}'
{  "id": 0,  "created_at": "2019-08-24T14:15:22Z",  "updated_at": "2019-08-24T14:15:22Z",  "customer_id": "string",  "type": "UNSET",  "name": "string",  "name_aliases": [    "string"  ],  "contact_business_id": "string",  "xrechnung_buyer_reference": "string",  "notes": "string",  "phone_number": "string",  "is_invoicing_enabled": true,  "invoicing_email": "user@example.com",  "invoicing_electronic_address": "string",  "invoicing_electronic_address_scheme": "string",  "invoicing_einvoice_address": "string",  "invoicing_einvoice_operator": "string",  "invoicing_tax_code": "string",  "invoicing_street": "string",  "invoicing_city": "string",  "invoicing_postal_code": "string",  "invoicing_country": "st",  "invoicing_language": "fi",  "buyer_postal_address_details_xml_override": "string",  "can_be_invoiced": true,  "can_be_invoiced_via_email": true,  "can_be_invoiced_via_einvoice": true}